require("scripts/selection scripts/SelectionManager.lua");

SManager = SelectionManager.create();

SManager:AddFlowers(FlowerType.FLOWERS1, "flowersRB", false);
SManager:AddFlowers(FlowerType.FLOWERS2, "flowersTC", true);
SManager:AddFlowers(FlowerType.FLOWERS8, "flowersGD", false);

SManager:AddCake(CakeType.BARBARA, "cake3Lemon", true);
SManager:AddCake(CakeType.CAKE5, "cake5Cocoa", false);
SManager:AddCake(CakeType.CAKE6, "cake6Marble", false);

SManager:AddHoneymoon(HoneymoonType.NEW_CITY, "HMSanFrancisco", true);
SManager:AddHoneymoon(HoneymoonType.BEACH, "HMBelize", false);
SManager:AddHoneymoon(HoneymoonType.OLD_CITY, "HMTuscany", false);

PreWeddingSelection = SManager:GenerateSelection(SelectionType.FLOWERS, SelectionType.CAKE, SelectionType.HONEYMOON);

dofile("scripts/selection scripts/SelectionDialogGenerator.lua");